package com.caimei.modules.products.dao;

import com.caimei.modules.products.entity.CmMallProductLadderPrice;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CmMallProductLadderPriceDao {
    int deleteByPrimaryKey(Long id);

    int insert(CmMallProductLadderPrice record);

    int insertSelective(CmMallProductLadderPrice record);

    CmMallProductLadderPrice selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(CmMallProductLadderPrice record);

    int updateByPrimaryKey(CmMallProductLadderPrice record);

    List<CmMallProductLadderPrice> selectByProductId(Long productId);

    Long selectIdByProductIdAndLadderNum(@Param("productId") Long productId, @Param("ladderNum") Long ladderNum);

}
